#include <stdio.h>

#include <config.h>
#include <glib.h>
#include <dbus/dbus-glib.h>
#include <dbus/dbus-glib-bindings.h>
#include "../../src/dbus/dbus-services.h"
#include "../../src/dbus/dbus-client-bindings.h"

int main (int argc, char **argv)
{
	DBusGConnection *connection;
	GError *error;
	DBusGProxy *proxy;
	
	g_type_init ();
	
	error = NULL;
	connection = dbus_g_bus_get (DBUS_BUS_SESSION,
	&error);
	if (connection == NULL)
	{
		g_printerr ("Failed to open connection to bus: %s\n",
		            error->message);
		g_error_free (error);
	return 0;
	}
	
	proxy = dbus_g_proxy_new_for_name (connection,
	                                   GWALLPAPERS_DBUS_SERVICE,
	                                   GWALLPAPERS_DBUS_PATH,
	                                   GWALLPAPERS_DBUS_INTERFACE);
	
	gchar * test;
	
	haliner_gWallpapers_next(proxy, NULL);
	haliner_gWallpapers_previous(proxy, NULL);
	haliner_gWallpapers_get_profiles(proxy, &test, NULL);
	
	g_message("%s", test);
	
	haliner_gWallpapers_set_profile(proxy, "Set Your Profile!", NULL);
	
	return 0;
}

