#include <stdio.h>
#include <unistd.h>
#include <glib.h>
#include <config.h>
#include "../../src/dbus/dbus-server.h"

gboolean done = FALSE;

void signals_handler(int sig)
{
	g_message("Received signal \"%s.\"", g_strsignal(sig));
	
	done = TRUE;
}

void config_signals()
{
	struct sigaction sig;
	sig.sa_handler = signals_handler;
	sig.sa_flags = SA_RESTART;
	sigemptyset(&sig.sa_mask);
	
	sigaction(SIGHUP, &sig, NULL);
	sigaction(SIGTERM, &sig, NULL);
	sigaction(SIGINT, &sig, NULL);
	sigaction(SIGQUIT, &sig, NULL);
}

int main()
{
	g_thread_init(NULL);
	g_type_init();
	dbus_g_thread_init();
	
	init_dbus();
	
	config_signals();
	
	while (! done)
	{
		sleep(G_MAXINT);
	}
	
	return 0;
}
